## visad.data.netcdf
Class InputPathnameEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          visad.data.netcdf.InputPathnameEditor

All Implemented Interfaces:
  PropertyEditor

Direct Known Subclasses:
  InputNetcdfPathnameEditor

public abstract class InputPathnameEditor
extends PropertyEditorSupport

A JavaBean property editor for input pathnames.

Constructor Summary
`InputPathnameEditor(String filterPattern, String initialPathname)` Construct.

Method Summary
`String` `getAsText()` Get the property as a text string.
`Component` `getCustomEditor()` Return the custom editor.
`boolean` `isPaintable()` Indicate support for painting the property value.
`void` `paintValue(Graphics graphics, Rectangle box)` Paint a representation of the pathname in the given box.
`void` `setAsText(String pathname)` Set the property given a text string.
`void` `setValue(Object value)` Set the object to be edited.
`boolean` `supportsCustomEditor()` Indicate support for a custom editor.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputPathnameEditor

    public InputPathnameEditor(String filterPattern,
                               String initialPathname)

  Construct.

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Indicate support for a custom editor.

### isPaintable

    public boolean isPaintable()

  Indicate support for painting the property value.

### paintValue

    public void paintValue(Graphics graphics,
                           Rectangle box)

  Paint a representation of the pathname in the given box.

### getAsText

    public String getAsText()

  Get the property as a text string.

### setAsText

    public void setAsText(String pathname)

  Set the property given a text string.

### getCustomEditor

    public Component getCustomEditor()

  Return the custom editor.

### setValue

    public void setValue(Object value)

  Set the object to be edited.